/**
 * @file
 * Javascript functionality for component circular tabs.
 */

(function ($, Drupal) {

  'use strict';

  Drupal.componentCircularTabs = Drupal.componentCircularTabs || {};
  Drupal.behaviors.circular_tabs = {
    attach: function (context) {
      Drupal.componentCircularTabs.circular_tabs(context);
    }
  }
  Drupal.componentCircularTabs.circular_tabs = function (context) {
    const $circular_tabs =  $('.component-builder.component-wrapper--type-circular_tabs', context).once('circularTabsItems');
    if ($circular_tabs.length > 0) {
      $circular_tabs.each(function () {
        const $this = $(this);
        const $get_link = $this.find('.field--name-field-title-tab-content > a').attr('href');
        $this.find('.link-learn-more').attr('href', $get_link);
        const $count_button = $this.find('button').length;
        const $count_big_item = $this.find('.big-item').length;
        const $count_small_item = $this.find('.small-item').length;
        let $getId = $this.find('.draw-circular-menu').attr('id');
        function openTabs(tabId) {
          let i;
          let $class = 'circular-tabs-content-id--' + $getId;
          let x = document.getElementsByClassName($class);
          for (i = 0; i < x.length; i++) {
            x[i].style.display = "none";
          }
          document.getElementById(tabId).style.display = "block";
        }

        let $temp = 0;
        for (let i = 0; i < 2; i++) {
          for (let j = 0; j < $count_big_item; j++) {
            $this.find('.circular-tab--' + (parseInt($getId) + j)).click( function () {
              openTabs('circular-tab-content--' + (parseInt($getId) + j));
              $this.find('.circular-tab--' + (parseInt($getId) + $temp)).removeClass('active');
              $this.find('.circular-tab--' + (parseInt($getId) + j)).addClass('active');
              $temp = j;
            });
          }

          for (let k = 0; k < $count_small_item; k++) {
            $this.find('.circular-tab--' + (parseInt($getId) + k + $count_button)).click( function () {
              openTabs('circular-tab-content--' + (parseInt($getId) + k + $count_button));
              $this.find('.circular-tab--' + (parseInt($getId) + $temp + $count_button)).removeClass('active');
              $this.find('.circular-tab--' + (parseInt($getId) + k + $count_button)).addClass('active');
              $temp = k + $count_button;
            });
          }
        }

      })
    }
  }

})(jQuery, Drupal);
