/**
 * @file
 * Javascript functionality for component life cycle.
 */

(function ($, Drupal) {

  'use strict';

  Drupal.componentLifeCycle = Drupal.componentLifeCycle || {};
  Drupal.behaviors.componentLifeCycle = {
    attach: function (context) {
      Drupal.componentLifeCycle.addClassForCountItem();
      Drupal.componentLifeCycle.circleItem(context);
      Drupal.componentLifeCycle.addMatchHeight();
    }
  }
  Drupal.componentLifeCycle.addClassForCountItem = function () {
    const $component_wrapper = $('.component-builder.component-wrapper.component-wrapper--type-life_cycle');
    console.log($component_wrapper);
    console.log($('.field--name-field-life-cycle').length);
    var count = $(".field--name-field-life-cycle").once('countItem').children().length;
    $component_wrapper.once('addClassCountItem').addClass('item-count-display--life-cycle-'+ count);
  };
  Drupal.componentLifeCycle.addMatchHeight = function () {
    const $component_wrapper_selector = $('.component-builder.component-wrapper.component-wrapper--type-life_cycle.component-wrapper--content.field--name-field-life-cycle');
    const $title_group = ".field__item";
    // $.addMatchHeight($component_wrapper_selector, $title_group);

  };
  Drupal.componentLifeCycle.circleItem = function (context) {
    const $life_cycle = $('.component-builder.component-wrapper.component-wrapper--type-life_cycle', context).once('bubbleMap');
    if($life_cycle.length > 0) {
      $life_cycle.each(function() {
        const $this = $(this);
        const $component_wrapper_content = $this.find('.component-wrapper--content');
        let width = 0;
        let height = 0;
        if ($component_wrapper_content.length > 0) {
          width = $this.width();
          height = $this.height();
        }
        let $main_content_wrapper = $this.once('getElement').find('.main-content-life-cycle');
        $main_content_wrapper.once('addClass').addClass('field__item');
        var x = $main_content_wrapper.wrap('<p/>').parent().html();
        $main_content_wrapper.unwrap();
        $main_content_wrapper.once("hideDefaultContent").css('display', 'none');
        let $field_life_cycle = $this.find('.field--name-field-life-cycle');
        if ($field_life_cycle.length > 0) {
          $field_life_cycle.each(function () {
            $(this).once('addElementMarkup').prepend(x);
          });
        }
        $field_life_cycle = $this.find('.field--name-field-life-cycle');
        if ($field_life_cycle.length > 0) {
          $field_life_cycle.each(function () {
            console.log(width/2);
            console.log(height/2);
            $(this).incircle({
              'left': width / 4  + "px",
              'top': height / 4  + "px",
            });
          });
        }
      })
    }

    // let $field_bubble_map = $('.field--name-field-life-cycle');
    // $field_bubble_map.incircle({
    //   // 'left': width / 4 + "px",
    //   // 'top': height / 4 + "px",
    // })
    // if ($field_bubble_map.length > 0) {
    //   $field_bubble_map.each(function () {
    //     console.log(width / 2);
    //     console.log(height / 2);
    //     $(this).incircle({
    //       'left': width / 4 + "px",
    //       'top': height / 4 + "px",
    //     });
    //   });
    // }
    // const $bubble_map = $('.component-builder.component-wrapper.component-wrapper--type-bubble_map', context).once('bubbleMap');
    // if ($bubble_map.length > 0) {
    //   $bubble_map.each(function () {
    //     const $this = $(this);
    //
    //     const $component_wrapper_content = $this.find('.component-wrapper--content');
    //     let width = 0;
    //     let height = 0;
    //     if ($component_wrapper_content.length > 0) {
    //       width = $this.width();
    //       height = $this.height();
    //     }
    //
    //     let $main_content_wrapper = $this.once('getElement').find('.main-wrapper-bubble-map');
    //
    //     var x = $main_content_wrapper.wrap('<p/>').parent().html();
    //     $main_content_wrapper.unwrap();
    //
    //     $main_content_wrapper.once("hideDefaultContent").css('display', 'none');
    //     let $field_bubble_map = $this.find('.field--name-field-bubble-map');
    //     if ($field_bubble_map.length > 0) {
    //       $field_bubble_map.each(function () {
    //         $(this).once('addElementMarkup').prepend(x);
    //       });
    //     }
    //     // console.log($field_bubble_map);
    //     $field_bubble_map = $this.find('.field--name-field-bubble-map');
    //     if ($field_bubble_map.length > 0) {
    //       $field_bubble_map.each(function () {
    //         console.log(width/2);
    //         console.log(height/2);
    //         $(this).incircle({
    //           'left': width / 4 + "px",
    //           'top': height / 4 + "px",
    //         });
    //       });
    //     }
    //   })
    // }
  }


})(jQuery, Drupal);
