/**
 * @file
 * Javascript functionality for component regional clock.
 */

(function ($, Drupal) {

  'use strict';

  Drupal.componentRegionalClock = Drupal.componentRegionalClock || {};
  Drupal.behaviors.regional_clock = {
    attach: function (context) {
      Drupal.componentRegionalClock.regional_clock(context);
    }
  }
  Drupal.componentRegionalClock.regional_clock = function (context) {
    const $regional_clock =  $('.component-builder.component-item--type-regional-clock', context).once('regionalClockItems');
    if ($regional_clock.length > 0) {
      $regional_clock.each(function () {
        const $this = $(this);
        const $zone = $this.find('.field--name-field-time-zone').text();
        const $region = $zone.split('/')[1].replace('_', ' ');
        $this.find('.time-zone').text($region);


        let myVar = setInterval(TimeZone ,1000);
        function TimeZone() {
          // Get today's date and time
          let $now = new Date();
          // const $us = $now.toLocaleString('en-US', { timeZone: 'Asia/Qatar' });
          const $time_zone = $now.toLocaleString('en-US', { timeZone: $zone });
          $this.find('.time').text($time_zone);;
        }
      })
    }
  }

})(jQuery, Drupal);
