/**
 * @file
 * Defines Javascript behaviors for the component builder toolbar menu.
 */

(function ($, Drupal, drupalSettings) {
  'use strict';

  Drupal.componentToolbarMenu = Drupal.componentToolbarMenu || {};

  Drupal.behaviors.componentWrapperToolbarMenu = {
    attach: function (context, settings) {
      Drupal.componentToolbarMenu.setMenuEvent(context, settings);
    }
  };

  Drupal.componentToolbarMenu.setMenuEvent = function (context, settings) {
    const $menu = $('#component-builder-toolbar-menu', context).once('toolbarMenu');
    if ($menu.length > 0) {
      $('.icon-toolbar-menu').click(function () {
        $(this).toggleClass('active');
      })
      $('.btn-mode').click(function () {
        if ($(this).hasClass('btn-mode-review')) {
          $('body').addClass('preview');
          Drupal.attachBehaviors(context, settings);
        }
        else {
          $('body').removeClass('preview');
        }
        $(this).siblings().removeClass('active');
        $(this).addClass('active');
      })
    }
  }

})(jQuery, Drupal, drupalSettings);
